# coding=utf-8

# Shouts to Danny and Audrey!

from os import environ as os_environ


try:
    from django.core.exceptions import ImproperlyConfigured as ConfigException
except ImportError:
    from facade import ConfigError as ConfigException


def get_env_variable(var_name):
    """
    Get the environment variable or return exception.
    """
    try:
        return os_environ[var_name]
    except KeyError:
        error_msg = "Set the {var_name} environment variable".format(var_name=var_name)
        raise ConfigException(error_msg)